DNSTaskStarter.DNSTaskStarterImpl.StarterTimer
Date: 2017-02-10

javax.jmdns.impl

## Class DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

- java.lang.Object
- - java.util.Timer
  - - javax.jmdns.impl.DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

- Enclosing class:
    DNSTaskStarter.DNSTaskStarterImpl

      public static class DNSTaskStarter.DNSTaskStarterImpl.StarterTimer
      extends java.util.Timer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSTaskStarter.DNSTaskStarterImpl.StarterTimer()`
    `DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(boolean isDaemon)`
    `DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(java.lang.String name)`
    `DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(java.lang.String name, boolean isDaemon)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `schedule(java.util.TimerTask task, java.util.Date time)`
    `void` | `schedule(java.util.TimerTask task, java.util.Date firstTime, long period)`
    `void` | `schedule(java.util.TimerTask task, long delay)`
    `void` | `schedule(java.util.TimerTask task, long delay, long period)`
    `void` | `scheduleAtFixedRate(java.util.TimerTask task, java.util.Date firstTime, long period)`
    `void` | `scheduleAtFixedRate(java.util.TimerTask task, long delay, long period)`

    - ### Methods inherited from class java.util.Timer

      `purge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

          public DNSTaskStarter.DNSTaskStarterImpl.StarterTimer()

    - #### DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

          public DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(boolean isDaemon)

      Parameters:
        `isDaemon` -

    - #### DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

          public DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(java.lang.String name,
                                                        boolean isDaemon)

      Parameters:
        `name` -
        `isDaemon` -

    - #### DNSTaskStarter.DNSTaskStarterImpl.StarterTimer

          public DNSTaskStarter.DNSTaskStarterImpl.StarterTimer(java.lang.String name)

      Parameters:
        `name` -

  - ### Method Detail

    - #### cancel

          public void cancel()

      Overrides:
        `cancel` in class `java.util.Timer`

    - #### schedule

          public void schedule(java.util.TimerTask task,
                      long delay)

      Overrides:
        `schedule` in class `java.util.Timer`

    - #### schedule

          public void schedule(java.util.TimerTask task,
                      java.util.Date time)

      Overrides:
        `schedule` in class `java.util.Timer`

    - #### schedule

          public void schedule(java.util.TimerTask task,
                      long delay,
                      long period)

      Overrides:
        `schedule` in class `java.util.Timer`

    - #### schedule

          public void schedule(java.util.TimerTask task,
                      java.util.Date firstTime,
                      long period)

      Overrides:
        `schedule` in class `java.util.Timer`

    - #### scheduleAtFixedRate

          public void scheduleAtFixedRate(java.util.TimerTask task,
                                 long delay,
                                 long period)

      Overrides:
        `scheduleAtFixedRate` in class `java.util.Timer`

    - #### scheduleAtFixedRate

          public void scheduleAtFixedRate(java.util.TimerTask task,
                                 java.util.Date firstTime,
                                 long period)

      Overrides:
        `scheduleAtFixedRate` in class `java.util.Timer`